include	clib.inc
include	wsub.inc
include	malloc.inc

PPROC	wsclose, wsub:dword
	pushm	wsub
	call	wsfree
	push	ax
	les	bx,wsub
	pushm	es:[bx.ws_fcb]
	xor	ax,ax
	mov	word ptr es:[bx.ws_fcb],ax
	mov	word ptr es:[bx.ws_fcb+2],ax
	call	free
	pop	ax
	ret
PEND	wsclose

	END
